import { createRouter, createWebHashHistory } from 'vue-router'
import Login from '../views/login/Login2.vue'
import Main from '../views/home/Main2.vue'
import HomePage from '../views/home/HomePage.vue'
import Test from '../views/test/test.vue'
import Test2 from '../views/test/test2.vue'
import Test3 from '../views/test/test3.vue'
import Personal from '../views/personal.vue'
import Market from '../views/scriptMarket/market.vue'
import Chat from '../views/chat/chat.vue'

const routes = [
  {
    path: '/',
    redirect: '/login'
  },
  {
    path: '/login',
    name: 'login',
    component: Login
  },
  {
    path: '/main',
    name: 'main',
    component: Main
  },
  {
    path: '/personal',
    name: 'personal',
    component: Personal
  },
  {
    path: '/market',
    name: 'market',
    component: Market
  },
  {
    path: '/chat',
    name: 'chat',
    component: Chat
  },
  {
    path: '/test3',
    name: 'test3',
    component: Test3
  },
]

const router = createRouter({
  history: createWebHashHistory(),
  routes
})

// router.beforeEach((to, from, next) => {
//   // console.log(store.getters['userModule/getRequest'])
//   store.getters['userModule/getRequest'].forEach(controller => {
//     if (controller.abort) {
//       controller.abort();
//     }
//   });
//   store.commit('userModule/clearRequest');
//   next();
// })

export default router
