const user = {
    namespaced: true,

    state: {
      userId: "",
        userAvatar:'',
        userName:'',
    },
    mutations: {
      setUserId(state, userId){
        state.userId = userId;
      },
        setUserAvatar(state,userAvatar){
          state.userAvatar=userAvatar;
        },
        setUserName(state,userName){
          state.userName=userName;
        }
    },
    getters: {
      getUserId: (state) => {
        return state.userId;
      },
        getUserAvatar:(state)=>{
          return state.userAvatar;
        },
        getUserName:(state)=>{
          return state.userName;
        }
    }
  };

  export default user;
